GUVCVIEW(1)

NAME
guvcview - GTK+ base UVC Viewer

SYNOPSIS
guvcview

DESCRIPTION
Guvcview is an application for capturing and viewing video from devices supported by the linux kernel video4linux2 interface.

USAGE

guvcview [options...]

OPTIONS

-h,--help
    Print help

-v,--version
    Print version

-w,--verbosity=LEVEL
    Set Verbosity level (def: 0)

-d,--device=AUDIO_DEVICE
    Set device name (def: /dev/video0)

-c,--capture=METHOD
    Set capture method [read | mmap (def)]

-b,--disable_libv4l2
    disable calls to libv4l2

-x,--resolution=WIDTHxHEIGHT
    Request resolution (e.g 640x480)

-f,--format=FOURCC
    Request format (e.g MJPG)

-F,--fps=FPS_NUM[/FPS_DENOM]
    Request fps (e.g. 25 ; 7/3; ...)

-r,--render=RENDER_API
    Select render API (e.g none; sdl; sfml)

-m,--render_window=RENDER_WINDOW_FLAGS
    Set render window flags (e.g none; full; max; WIDTHxHEIGHT)

-a,--audio=AUDIO_API
    Select audio API (e.g none; port; pulse)

-k,--audio_device=audio_device
    Select audio device index for selected api (0..N)

-g,--gui=GUI_API
    Select GUI API (e.g none; gtk3; qt6)

-o,--audio_codec=codecAudio
    Audio codec [pcm mp2 mp3 aac ac3 vorb]

-u,--video_codec=codec
    Video codec [raw mjpg mpeg flv1 wmv1 mpg2 mp43
                 dx50 h264 vp80 theo]

-p,--profile=filename
    Load control profile

-j,--video=filename
    filename for captured video)

-i,--image=filename
    filename for captured image)

-y,--video_timer=TIME_IN_SEC
    Time (double) in sec. for video capture)

-t,--photo_timer=TIME_IN_SEC
    Time (double) in sec. between captured photos)

-n,--photo_total=total
    Total number of captured photos)

-e,--exit_on_term
    Exit app after video or image capture ends

-z,--control_panel
    Start in control panel mode

AUTHOR
This manual page was written by Paulo Assis <pj.assis@gmail.com>, for the Debian GNU/Linux system (but may be used by others).